%define oname   fastercsv

Name:       ruby-%{oname}
Version:    1.5.4
Release:    %mkrel 1
Summary:    FasterCSV is CSV, but faster, smaller, and cleaner
License:    GPLv2+ or Ruby License
Group:      Development/Ruby
URL:        http://fastercsv.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
FasterCSV is intended as a complete replacement to the CSV standard library.
It is significantly faster and smaller while still being pure Ruby code. It
also strives for a better interface.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/AUTHORS
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/COPYING
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/INSTALL
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/TODO
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/CHANGELOG
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

sed -i '/^#!/d' %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/*.rb

%check
rake test
rake benchmark

%clean
rm -rf %{buildroot}



%changelog
* Sun Feb 13 2011 shikamaru <shikamaru> 1.5.4-1.mga1
+ Revision: 51539
- imported package ruby-fastercsv


* Sun Feb 13 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.5.4-1
- Initial package
